org.eclnt.jsfserver.elements.impl

## Class IFIXGRIDBinding.FIXGRIDSortInfo

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding.FIXGRIDSortInfo

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing interface:
    IFIXGRIDBinding<itemClass extends FIXGRIDItem>

      public static class IFIXGRIDBinding.FIXGRIDSortInfo
      extends java.lang.Object
      implements java.io.Serializable

  Sort information that is kept per sortable column.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDSortInfo(java.lang.String sortReference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSortReference()` Reference of this column.
    `int` | `getSortSequence()` In case of multiple column sorting the sort sequence represents the sort order: starting with 0 for the first prioroty, 1 for the next one, etc. etc.
    `java.lang.String` | `getSortStatus()` Sort status of the corresponding column => one of the SORT_* constants (e.g.
    `int` | `getSortStatusInt()` Sort status as integer.
    `void` | `setSortSequence(int sortSequence)`
    `void` | `setSortStatus(int sortStatus)` Setting the sort status is done by sorting the grid, calling method `FIXGRIDBinding.sort(String, boolean)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIXGRIDSortInfo

          public FIXGRIDSortInfo(java.lang.String sortReference)

  - ### Method Detail

    - #### getSortStatus

          public java.lang.String getSortStatus()

      Sort status of the corresponding column => one of the SORT_* constants (e.g. FIXGRIDBinding.SORT_ASCENDING).

    - #### getSortStatusInt

          public int getSortStatusInt()

      Sort status as integer.

    - #### setSortStatus

          public void setSortStatus(int sortStatus)

      Setting the sort status is done by sorting the grid, calling method `FIXGRIDBinding.sort(String, boolean)`.

    - #### getSortReference

          public java.lang.String getSortReference()

      Reference of this column. If defined this is the attribute GRIDCOL-SORTREFERENCE, if not defined then the "most appropriate reference" is chosen, e.g. in a column containing a field, the expression behind the TEXT attribute is used.

    - #### getSortSequence

          public int getSortSequence()

      In case of multiple column sorting the sort sequence represents the sort order: starting with 0 for the first prioroty, 1 for the next one, etc. etc.

    - #### setSortSequence

          public void setSortSequence(int sortSequence)

Copyright © CaptainCasa Gmbh. All Rights Reserved.